<template src="./template.html"></template>

<script lang="ts">
import { getModule, Watch } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import { apiErrorHandler, redirectPage } from "@/utils/apiHanlers";
import AdminCollectionModule from "~/store/adminCollection";
import { api } from "~/common/constaint";
import _ from "lodash";
@Component({
	components: {
		NodeChild: () => import("./NodeChild/index.vue"),
	},
})
export default class AdminTreeCollectionComponent extends Vue {
	adminCollection = getModule(AdminCollectionModule, this.$store);

	@Prop()
	treeData!: any;

	@Prop()
	lengthParent!: number;
}
</script>

<style>
.tree-list ul {
	/* padding-left: 16px;
	margin: 6px 0; */
}
</style>

